Subject: Re: Pull request: SIOCGHWTSTAMP ioctl

From: David Daney <[email-masked]>
Date: Fri, 6 Dec 2013 09:41:45 -0800

On 12/06/2013 09:38 AM, Ben Hutchings wrote:
> On Thu, 2013-12-05 at 19:46 -0500, David Miller wrote:
>> From: Ben Hutchings <[email-masked]>
>> Date: Thu, 5 Dec 2013 23:37:12 +0000
>>
>>> 1. Add the SIOCGHWTSTAMP ioctl and update the timestamping
>>> documentation.
>>> 2. Implement SIOCGHWTSTAMP in most drivers that support SIOCSHWTSTAMP.
>>> 3. Add a test program to exercise SIOC{G,S}HWTSTAMP.
>>
>> Pulled, thanks Ben.
>
> Thanks.  I hope all the drivers still work, as you didn't leave long for
> review.
>
> There are a few drivers I didn't touch because they don't appear to keep
> a soft copy of the timestamp configuration:
>
> drivers/net/ethernet/intel/igb/igb_main.c
> drivers/net/ethernet/intel/ixgbe/ixgbe_main.c
> drivers/net/ethernet/octeon/octeon_mgmt.c

I will look at modifying octeon_mgmt to support this.

Thanks,
David Daney

> drivers/net/ethernet/oki-semi/pch_gbe/pch_gbe_main.c
> drivers/net/ethernet/stmicro/stmmac/stmmac_main.c
>
> phylib and the dp83640 driver will also need to be updated to support
> this.
>
> Ben.
>

------------------------------------------------------------------------------
Sponsored by Intel(R) XDK 
Develop, test and display web and hybrid apps with a single code base.
Download it for free now!
http://pubads.g.doubleclick.net/gampad/clk?id=111408631&iu=/4140/ostg.clktrk
_______________________________________________
E1000-devel mailing list
[email-masked]
https://lists.sourceforge.net/lists/listinfo/e1000-devel
To learn more about Intel&#174; Ethernet, visit http://communities.intel.com/community/wired